declare module 'content/routes.js' {
  type Template = 
    | 'markdown'

  type GenericRouteDefinition = {
    id: string
    template: Template
  }

  type MarkdownDefinition = GenericRouteDefinition & {
    template: 'markdown'
    content: string
  }

  type RouteDefinition =
    | MarkdownDefinition

  type RouteCollection = { [key: string]: RouteDefinition }

  const routes: RouteCollection
}
