import { type RouteRecordRaw } from 'vue-router'
import { ViteSSG } from 'vite-ssg'
import './style.css'
import main from './main.vue'
import { createPinia } from 'pinia'
import { createRoutes, useRouteStore } from './routes'
import { routes as appRoutes, type RouteDefinition } from 'content/routes.js'

export const createApp = ViteSSG(
  // the root component
  main,
  // vue-router options
  { routes: createRoutes() },
  // function to have custom setups
  ({ app, router, routes, isClient, initialState }) => {
    app.use(createPinia())
    const routeStore = useRouteStore()
    Object.keys(appRoutes).forEach(route => 
      routeStore._routes[route] = {
        ...routes.find(other => other.path === route) as RouteRecordRaw,
        ...appRoutes[route] as RouteDefinition,
      }
    )
  },
)
